Bug 1341333 - Do not build for arm because of broken deps
Summary: Do not build for arm because of broken deps
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: golang-github-mistifyio-go-zfs
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Chaloupka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: F24FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2016-05-31 21:31 UTC by Till Maas
Modified: 2016-06-14 09:15 UTC (History)
4 users (show)

Fixed In Version: golang-github-mistifyio-go-zfs-0-0.2.git1b4ae6f.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-14 09:15:28 UTC
Type: Bug


Attachments (Terms of Use)

Description Till Maas 2016-05-31 21:31:00 UTC
Description of problem:
Please do not build this package for ARM to avoid this broken dependency:
[golang-github-mistifyio-go-zfs]
        golang-github-mistifyio-go-zfs-devel-0-0.1.git1b4ae6f.fc24.noarch requires zfs-fuse

Comment 1 Jan Chaloupka 2016-05-31 21:58:36 UTC
I am aware of that. As the rpm is noarch, random architectures is picked. Not sure if the ExcludeArch can do something about it.

Comment 2 Jan Chaloupka 2016-06-01 12:58:01 UTC
The packages is a building dependency of cadvisor. zfs is one of the filesystems it supports. There are other fs such as btrfs, aufs, overlay. The code can be patch on arm so the zfs is disabled by default.

Comment 3 Fedora Update System 2016-06-07 07:21:01 UTC
golang-github-mistifyio-go-zfs-0-0.2.git1b4ae6f.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-302bf8a1b3

Comment 4 Fedora Update System 2016-06-07 07:21:35 UTC
golang-github-mistifyio-go-zfs-0-0.2.git1b4ae6f.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-abc48f902d

Comment 5 Fedora Update System 2016-06-07 07:22:01 UTC
golang-github-mistifyio-go-zfs-0-0.2.git1b4ae6f.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0acbdbfbcf

Comment 6 Fedora Update System 2016-06-07 18:53:48 UTC
golang-github-mistifyio-go-zfs-0-0.2.git1b4ae6f.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0acbdbfbcf

Comment 7 Fedora Update System 2016-06-08 02:23:43 UTC
golang-github-mistifyio-go-zfs-0-0.2.git1b4ae6f.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-abc48f902d

Comment 8 Fedora Update System 2016-06-08 02:24:14 UTC
golang-github-mistifyio-go-zfs-0-0.2.git1b4ae6f.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-302bf8a1b3

Comment 9 Fedora Blocker Bugs Application 2016-06-13 05:00:45 UTC
Proposed as a Freeze Exception for 24-final by Fedora user till using the blocker tracking app because:

 The update for this package fixes a broken dependency in the base repo, see https://fedorahosted.org/rel-eng/ticket/6416 for more details.

Comment 10 Petr Schindler 2016-06-13 17:32:25 UTC
Discussed at 2016-06-13 blocker review meeting: [1]. 

This bug was accepted as Final Freeze Exception: this change fixes dependency issues in the base repo and doesn't look to have any possible impact on release quality

[1] https://meetbot.fedoraproject.org/fedora-blocker-review/2016-06-13/f24-blocker-review.2016-06-13-16.04.html

Comment 11 Adam Williamson 2016-06-13 23:01:17 UTC
update installs on x86_64 and definitely doesn't have an ARM build of the offending package.

Comment 12 Fedora Update System 2016-06-14 09:15:26 UTC
golang-github-mistifyio-go-zfs-0-0.2.git1b4ae6f.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.